Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 04 Mar 2021 01:49:49 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery FP030221000483
This is the number of my shipment , in the first day the delivery guy called me and I informed him I will be at home after 30 minutes and he replied he will come after 45 minutes , then he didn’t come and reported that  no response from the costumer , today the delivery guy called me and asked me to share my location through what’s app on his number # 00 971 52 413 5332
 the number doesn’t have what’s app, even I asked him to send me message , he said ok , but didn’t and then reported  no response from customer  . I believe the excellency of customer service is the major competitive advantage nowadays , and through this very bad experience and the lies from the delivery company , sure , I will think twice before placing my next order. Hopefully to receive a serious reply . Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2185333